using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioUnidadeConsumidoraDatasControle
    {

        public void Insert(entidadeUnidadeConsumidoraDatasControle objUnidadeConsumidoraDatasControle)
        {
            dalUnidadeConsumidoraDatasControle dalUnidadeConsumidoraDatasControle = null;

            try
            {
                dalUnidadeConsumidoraDatasControle = new dalUnidadeConsumidoraDatasControle();

                dalUnidadeConsumidoraDatasControle.Insert(objUnidadeConsumidoraDatasControle);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeUnidadeConsumidoraDatasControle objUnidadeConsumidoraDatasControle)
        {
            dalUnidadeConsumidoraDatasControle dalUnidadeConsumidoraDatasControle = null;

            try
            {
                dalUnidadeConsumidoraDatasControle = new dalUnidadeConsumidoraDatasControle();

                dalUnidadeConsumidoraDatasControle.Delete(objUnidadeConsumidoraDatasControle);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUnidadeConsumidoraDatasControle> Select(entidadeUnidadeConsumidoraDatasControle objUnidadeConsumidoraDatasControle)
        {
            dalUnidadeConsumidoraDatasControle dalUnidadeConsumidoraDatasControle = null;

            var lstUnidadeConsumidoraDatasControle = new List<entidadeUnidadeConsumidoraDatasControle>();
            DataTable dt = null;

            try
            {
                dalUnidadeConsumidoraDatasControle = new dalUnidadeConsumidoraDatasControle();
                dt = dalUnidadeConsumidoraDatasControle.Select(objUnidadeConsumidoraDatasControle);

                foreach (DataRow dr in dt.Rows)
                {
                    objUnidadeConsumidoraDatasControle = new entidadeUnidadeConsumidoraDatasControle();



                    if (!Convert.IsDBNull(dr["GRUPO"]))
                        objUnidadeConsumidoraDatasControle.GRUPO = dr["GRUPO"].ToString();

                    if (!Convert.IsDBNull(dr["CONS_ID"]))
                        objUnidadeConsumidoraDatasControle.CONS_ID = Convert.ToInt32(dr["CONS_ID"]);

                    if (!Convert.IsDBNull(dr["UNID_ID"]))
                        objUnidadeConsumidoraDatasControle.UNID_ID = Convert.ToInt32(dr["UNID_ID"]);

                    if (!Convert.IsDBNull(dr["ID_TIPOS"]))
                        objUnidadeConsumidoraDatasControle.ID_TIPOS = Convert.ToInt32(dr["ID_TIPOS"]);

                    if (!Convert.IsDBNull(dr["DS_TIPOS"]))
                        objUnidadeConsumidoraDatasControle.DS_TIPOS = dr["DS_TIPOS"].ToString();

                    if (!Convert.IsDBNull(dr["ID_VIGENCIA"]))
                        objUnidadeConsumidoraDatasControle.ID_VIGENCIA = Convert.ToInt32(dr["ID_VIGENCIA"]);

                    if (!Convert.IsDBNull(dr["DS_VIGENCIA"]))
                        objUnidadeConsumidoraDatasControle.DS_VIGENCIA = dr["DS_VIGENCIA"].ToString();

                    if (!Convert.IsDBNull(dr["DT_MOVTO"]))
                        objUnidadeConsumidoraDatasControle.DT_MOVTO = Convert.ToDateTime(dr["DT_MOVTO"]);

                    if (!Convert.IsDBNull(dr["ZONA"]))
                        objUnidadeConsumidoraDatasControle.ZONA = dr["ZONA"].ToString();

                    if (!Convert.IsDBNull(dr["LIVRO"]))
                        objUnidadeConsumidoraDatasControle.LIVRO = dr["LIVRO"].ToString();

                    if (!Convert.IsDBNull(dr["CONTA"]))
                        objUnidadeConsumidoraDatasControle.CONTA = dr["CONTA"].ToString();

                    if (!Convert.IsDBNull(dr["TA"]))
                        objUnidadeConsumidoraDatasControle.TA = dr["TA"].ToString();

                    if (!Convert.IsDBNull(dr["ID_CLASSE"]))
                        objUnidadeConsumidoraDatasControle.ID_CLASSE = dr["ID_CLASSE"].ToString();

                    if (!Convert.IsDBNull(dr["DS_CLASSE"]))
                        objUnidadeConsumidoraDatasControle.DS_CLASSE = dr["DS_CLASSE"].ToString();


                    lstUnidadeConsumidoraDatasControle.Add(objUnidadeConsumidoraDatasControle);
                }
                return lstUnidadeConsumidoraDatasControle;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
